package com.jz.sms.chuanglan.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 短信参数配置
 */
@Component
public class ChuangLanSMSConfig {


    // 通知类短信账号
    public static String notificationAccount;
    // 通知类短信密码
    public static String notificationPassword;
    // 营销类短信账号
    public static String marketingAccount;
    // 营销类短信密码
    public static String marketingPassword;
    // 固定内容发送接口地址
    public static String sendFixed;
    // 变量短信发送接口地址
    public static String sendVariable;
    // 系统接口回执报告地址
    public static String reportUrl;
    // 拉取短信报告地址
    public static String pullReport;
    // 创建短信模板
    public static String addTemplate;
    // 接口用户名
    public static String interfaceUser;
    // 接口密码
    public static String interfacePassword;


    @Value("${system.config.chuanglan.notificationAccount}")
    public void setNotificationAccount(String notificationAccount) {
        ChuangLanSMSConfig.notificationAccount = notificationAccount;
    }

    @Value("${system.config.chuanglan.notificationPassword}")
    public void setNotificationPassword(String notificationPassword) {
        ChuangLanSMSConfig.notificationPassword = notificationPassword;
    }

    @Value("${system.config.chuanglan.marketingAccount}")
    public void setMarketingAccount(String marketingAccount) {
        ChuangLanSMSConfig.marketingAccount = marketingAccount;
    }

    @Value("${system.config.chuanglan.marketingPassword}")
    public void setMarketingPassword(String marketingPassword) {
        ChuangLanSMSConfig.marketingPassword = marketingPassword;
    }

    @Value("${system.config.chuanglan.sendFixed}")
    public void setSendFixed(String sendFixed) {
        ChuangLanSMSConfig.sendFixed = sendFixed;
    }

    @Value("${system.config.chuanglan.sendVariable}")
    public void setSendVariable(String sendVariable) {
        ChuangLanSMSConfig.sendVariable = sendVariable;
    }

    @Value("${system.config.chuanglan.reportUrl}")
    public void setReportUrl(String reportUrl) {
        ChuangLanSMSConfig.reportUrl = reportUrl;
    }

    @Value("${system.config.chuanglan.pullReport}")
    public void setPullReport(String pullReport) {
        ChuangLanSMSConfig.pullReport = pullReport;
    }

    @Value("${system.config.chuanglan.addTemplate}")
    public void setAddTemplate(String addTemplate) {
        ChuangLanSMSConfig.addTemplate = addTemplate;
    }

    @Value("${system.config.chuanglan.interfaceUser}")
    public void setInterfaceUser(String interfaceUser) {
        ChuangLanSMSConfig.interfaceUser = interfaceUser;
    }

    @Value("${system.config.chuanglan.interfacePassword}")
    public void setInterfacePassword(String interfacePassword) {
        ChuangLanSMSConfig.interfacePassword = interfacePassword;
    }
}
