package com.jz.sms.chuanglan.service;

import com.jz.sms.chuanglan.dto.CLNotifyRequest;
import com.jz.sms.chuanglan.dto.CLSendSMSResponse;
import com.jz.sms.chuanglan.dto.CLTemplateResponse;
import com.jz.sms.chuanglan.dto.ReportDto;
import com.jz.sms.dto.*;

public interface ChuangLanSmsService {


    CLTemplateResponse createTemplate(String content, String type) throws Exception;


    CLSendSMSResponse sendByFixed(String batchId, String content, String sendParams, String type) throws Exception;


    CLSendSMSResponse sendByVariable(String batchId, String content, String sendParams, String type) throws Exception;

    void asyncNotify(CLNotifyRequest notifyInfo);

    void report(ReportDto report);
}
