package com.jz.sms.config;

public enum ResponseCode {
    SUCCESS("200", "处理成功"),
    UPSTREAM_FAIL("UF01", "渠道交易失败"),
    SYSTEM_ERROR("99", "系统异常：");

    private String code;
    private String msg;

    ResponseCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
