package com.jz.sms.service;

import com.jz.sms.dto.*;

public interface MessageService  {

    /**
     * DM hub创建模板同步插件接口
     *
     * @param requestDTO
     * @return
     */
    DmHubTemplateResponse createTemplate(DmHubTemplateRequest requestDTO);

    /**
     * DM hub发送短信接口
     *
     * @param requestDTO
     * @return
     */
    DmHubSendResponse send(DmHubSendRequest requestDTO);

    /**
     * DM hub批量发送短信接口
     *
     * @param requestDTO
     * @return
     */
    DmHubBatchSendResponse batchSend(DmHubBatchSendRequest requestDTO);
}
