package com.jz.sms.wrapper.maintenance;

import com.jz.sms.dto.DmHubTemplateRequest;
import com.jz.sms.dto.DmHubTemplateResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
//@Api(tags = "SMS0001 短信模板创建")
public class XfaceCreateTempLateWrapper {

    @Autowired
    XfaceCreateTempLateWrapperImpl xfaceCreateTempLateWrapperImpl;

//    @ApiOperation(value = "SMS0001 短信模板创建", httpMethod = "POST")
    @PostMapping(value = "/sms/template")
    @ResponseBody
    public DmHubTemplateResponse processRequest(@Valid @RequestBody DmHubTemplateRequest requestDTO) {

        return xfaceCreateTempLateWrapperImpl.doProcessRequest(requestDTO);
    }
}
