package com.jz.sms.chuanglan.dto;

import com.jz.sms.config.ResponseCode;

import java.io.Serializable;

public class CLTemplateResponse implements Serializable {


    private String code;

    private String msg;

    private String id;

    public CLTemplateResponse() {

    }

    public CLTemplateResponse(ResponseCode responseCode, String id) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg();
        this.id = id;

    }
    public CLTemplateResponse(ResponseCode responseCode, String msg,int nullInfo) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg()+msg;

    }

    public CLTemplateResponse(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public CLTemplateResponse(String code, String msg, String id) {
        this.code = code;
        this.msg = msg;
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
