package com.jz.sms.repository.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 8100192126279967648L;

    // 表关键字
    protected Long id;
    // 记录是否逻辑删除（默认为false）
    private Boolean delFlag = false;
    // 记录创建人信息
    private String creater;
    // 记录创建日期
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    // 记录更新人信息
    private String updater;
    // 记录最近修改日期
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    //获取redis的key值
    private String key;
}
