package com.jz.sms.repository.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


@TableName("sms_template")
public class SmsTemplateInfo {


    private Long id;

    private String dmTemplateId;

    private String type;

    private String status;

    // DM 模板内容
    private String content;

    // 上游模板内容
    private String upContent;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateCreated;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdated;

    private String signature;

    private String tenantId;

    private String templateName;

    private String upTemplateId;
    private String upRejectMsg;
    private String params;

    public SmsTemplateInfo() {

    }


    public String getUpContent() {
        return upContent;
    }

    public void setUpContent(String upContent) {
        this.upContent = upContent;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public SmsTemplateInfo(String dmTemplateId) {
        this.dmTemplateId = dmTemplateId;
    }


    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDmTemplateId() {
        return dmTemplateId;
    }

    public void setDmTemplateId(String dmTemplateId) {
        this.dmTemplateId = dmTemplateId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getDateCreated() {
        return dateCreated;
    }

    public void setDateCreated(Date dateCreated) {
        this.dateCreated = dateCreated;
    }

    public Date getLastUpdated() {
        return lastUpdated;
    }

    public void setLastUpdated(Date lastUpdated) {
        this.lastUpdated = lastUpdated;
    }

    public String getUpTemplateId() {
        return upTemplateId;
    }

    public void setUpTemplateId(String upTemplateId) {
        this.upTemplateId = upTemplateId;
    }

    public String getUpRejectMsg() {
        return upRejectMsg;
    }

    public void setUpRejectMsg(String upRejectMsg) {
        this.upRejectMsg = upRejectMsg;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}
